@switch (displayState()) {
  @case ('loading') {
    <span>Loading...</span>
  }
  @case ('error') {
    <span>Error: le pouvoir n'existe pas</span>
  }
  @case ('display') {
    <h1>{{ power()?.name }}</h1>
    <span> {{ power()?.description }}</span>
  }
}
